## class Edge : public Subject

> Graph edge class, base class of all edges. An edge connects two subjects.

## Inheritance:

### Public Methods

  | Edge (Graph *g, Subject *n1, Subject *n2)
  virtual | ~Edge ()
  Subject* | GetSubject1 () const edge connects subject1 and subject2.
  Subject* | GetSubject2 () const when edge is directed then subject1 is 'from' and subject2 'to'.
  void | SetSubject1 (Subject *n)
  void | SetSubject2 (Subject *n)
  bool | IsDirected () const
  bool | InGraph () const is edge part of the graph?
  bool | IsEdge () const yes of course it is
  bool | PartOf (Subject *subject) const is subject one of the two subjects that edge connects?
  void | SetSubjects (Subject *n1, Subject *n2, bool d = 0) set it all
  void | WriteMembers (OutputFile *f) write attributes to file.
  bool | ReadMembers (InputFile *f, double format) read and check attributes from file.
  bool | SetReferences (AssocList *) set and check references to subjects after reading.
  bool | CheckReferences () check whether subject references exist.

### Protected Methods

  void | SetDirected (bool b)

### Inherited from Subject:

### Public Classes

enum NameErrType

### Public Methods

virtual Subject* Clone()
bool IsSubject() const
const string* GetName() const
virtual NameErrType SetName(const string *s)
void SetParent(Node *p)
Node* GetParent() const
void SetAnnotation(string *s)
const string* GetAnnotation() const
Graph* GetGraph() const

### Inherited from Thing:

### Public Classes

enum AssocType

### Public Methods

unsigned long GetId()
void SetId(unsigned long val)
virtual bool IsShape() const
virtual bool IsView() const
virtual int GetClassType() const
void Write(OutputFile *ofile)

## Documentation

> Graph edge class, base class of all edges. An edge connects two subjects.

`Edge(Graph *g, Subject *n1, Subject *n2)`

`virtual ~Edge()`

`Subject* GetSubject1() const`
  edge connects subject1 and subject2.

`Subject* GetSubject2() const`
  when edge is directed then subject1 is 'from' and subject2 'to'.

`void SetSubject1(Subject *n)`

`void SetSubject2(Subject *n)`

`bool IsDirected() const`

`bool InGraph() const`
  is edge part of the graph?

`bool IsEdge() const`
  yes of course it is

`bool PartOf(Subject *subject) const`
  is subject one of the two subjects that edge connects?

`void SetSubjects(Subject *n1, Subject *n2, bool d = 0)`
  set it all

`void WriteMembers(OutputFile *f)`
  write attributes to file.

`bool ReadMembers(InputFile *f, double format)`
  read and check attributes from file.

`bool SetReferences(AssocList *)`
  set and check references to subjects after reading.

`bool CheckReferences()`
  check whether subject references exist.

`void SetDirected(bool b)`

Direct child classes:
  Transition
  TextEdge
  StringListEdge
  SSDObjectLinkEdge
  SSDAssociationLinkEdge
  IsaRelationship
  GenericEdge
  Event
  EmptyEdge
  DPDCommunicationEdge
  DFEdge
  CPDRealizationEdge
  CPDDependencyEdge
  C1Edge
  BinaryRelationship
  ATDTransitionEdge

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de